# $Revision: 1.12 $, $Date: 2010/08/16 16:39:32 $
Summary:	Blitz KDE/Qt image filter library
Summary(pl.UTF-8):	Biblioteka filtrów obrazu Blitz dla KDE/Qt
Name:		qimageblitz
Version:	0.0.6
Release:	1
License:	GPL
Group:		X11/Libraries
Source0:	ftp://ftp.kde.org/pub/kde/stable/qimageblitz/%{name}-%{version}.tar.bz2
# Source0-md5:	0ae2f7d4e0876764a97ca73799f61df4
URL:		http://sourceforge.net/projects/qimageblitz/
BuildRequires:	QtGui-devel
BuildRequires:	cmake
BuildRequires:	kde4-kdelibs-devel >= 4.0.0
BuildRequires:	qt4-build
BuildRequires:	qt4-qmake
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Blitz is a graphical effect and filter library for KDE 4 that contains
many improvements over KDE 3.x's kdefx library including bugfixes,
memory and speed improvements, and MMX/SSE support.

%description -l pl.UTF-8
Blitz to biblioteka efektów i filtrów graficznych dla KDE 4
zawierająca wiele ulepszeń w stosunku do biblioteki kdefx z KDE 3.x, w
tym poprawki błędów, poprawę wydajności (pod względem wykorzystania
pamięci i szybkości działania) oraz obsługę MMX/SSE.

%package devel
Summary:	Header files for Blitz library
Summary(pl.UTF.8):	Pliki nagłówkowe biblioteki Blitz
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files needed for build programs that use qimageblitz.

%description devel -l pl.UTF-8
Pliki nagłówkowe potrzebne do tworzenia programów z użyciem
qimageblitz.

%prep
%setup -q

%build
install -d build
cd build
%cmake .. \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DCMAKE_VERBOSE_MAKEFILE=ON \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/blitztest
%attr(755,root,root) %{_libdir}/libqimageblitz.so.4.0.0
%attr(755,root,root) %ghost %{_libdir}/libqimageblitz.so.4

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libqimageblitz.so
%dir %{_includedir}/qimageblitz
%{_includedir}/qimageblitz/blitzcpu.h
%{_includedir}/qimageblitz/qimageblitz.h
%{_includedir}/qimageblitz/qimageblitz_export.h
%{_pkgconfigdir}/qimageblitz.pc

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: qimageblitz.spec,v $
Revision 1.12  2010/08/16 16:39:32  arekm
- up to 0.0.6

Revision 1.11  2009/12/02 17:30:18  sparky
- BR: qt4-build

Revision 1.10  2009/07/12 05:48:26  arekm
- release 2

Revision 1.9  2008/09/29 21:12:30  qboosh
- BR: QtGui-devel
- cleanup, unified cmake call

Revision 1.8  2008/09/29 19:05:56  qboosh
- sorted BRs

Revision 1.7  2008/09/27 11:30:21  spider
- br: qt4-qmake

Revision 1.6  2008/06/26 13:16:57  pluto
- ldconfig post/un.

Revision 1.5  2008/06/25 12:24:24  shadzik
- cleanup

Revision 1.4  2008/06/25 12:22:05  shadzik
- BR: cmake
- rel 1

Revision 1.3  2008/05/30 19:59:40  qboosh
- pl, cleanup

Revision 1.2  2008-03-05 21:13:55  arekm
- adjust BR for new kde4 naming scheme

Revision 1.1  2008-01-12 20:10:17  rotom
- initial
